Bug 198362 - Package flac lacks IPv6 support
Package flac lacks IPv6 support
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: flac (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Monty
:
Depends On:
Blocks: IPv6Blocker
  Show dependency treegraph
 
Reported: 2006-07-11 06:16 EDT by Peter Vrabec
Modified: 2013-10-20 18:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-04 03:39:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2006-07-11 06:16:05 EDT
This bug was reported automaticaly in connection with IPv6 project.
Our aim is to support IPv6 in all Fedora Core packages so FC6 and RHEL5 will be ready for IPv6.
			
This package seems to lack IPv6 support as is illustrated in attached log.
	
Here follows part of scanning log (grep -r F_INET *)/up to 30 lines: 

/flac-1.1.2/src/plugin_xmms/http.c:384:		sock = socket(AF_INET, SOCK_STREAM, 0);
/flac-1.1.2/src/plugin_xmms/http.c:386:		address.sin_family = AF_INET;
/flac-1.1.2/src/plugin_xmms/http.c:754:	if ((*sock = socket(AF_INET, SOCK_DGRAM, 0)) < 0)
/flac-1.1.2/src/plugin_xmms/http.c:762:	sin.sin_family = AF_INET;
Comment 1 Jan Cholasta 2006-09-02 07:48:33 EDT
The XMMS plugin is excluded from the build, so you can close this bug now.
Comment 2 Peter Vrabec 2006-09-04 03:39:48 EDT
* Thu Apr 21 2005 Warren Togami <wtogami@redhat.com> - 1.1.2-25
- Fix buildreqs  (#154649 thias)
- obsolete older xmms-flac

* Mon Apr  4 2005 Elliot Lee <sopwith@redhat.com> - 1.1.2-24
- Removed xmms-flac subpackage

You are right. Thnx. Jan

Note You need to log in before you can comment on or make changes to this bug.